Skip to main content
`Ctrl`+`K`

# DMPlexComputeGradientFVM

Compute geometric factors for gradient reconstruction, which are stored in the geometry data, and compute layout for gradient data

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeGradientFVM(DM dm, PetscFV fvm, Vec faceGeometry, Vec cellGeometry, DM *dmGrad)

Collective

## Input Parameters

- dm - The `DMPLEX`

- fvm - The `PetscFV`

- cellGeometry - The face geometry from `DMPlexComputeCellGeometryFVM()`

## Input/Output Parameter

- faceGeometry - The face geometry from `DMPlexComputeFaceGeometryFVM()`; on output the geometric factors for gradient calculation are inserted

## Output Parameter

- dmGrad - The `DM` describing the layout of gradient data

## See Also

`DMPLEX`, `DMPlexGetFaceGeometryFVM()`, `DMPlexGetCellGeometryFVM()`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages